#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	accountsservice
Version		:	23.13.9
Release		:	14.8.0.0%{?dist}
Summary		:	D-Bus interfaces for querying and manipulating user account information
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://gitlab.freedesktop.org/accountsservice/accountsservice

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	elogind-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	polkit-devel
BuildRequires	:	vala
BuildRequires	:	xmlto

#-----------------------------------------------------------------------------
%description
The accountsservice project provides a set of
D-Bus interfaces for querying and manipulating
user account information and an implementation
of these interfaces, based on the useradd,
usermod and userdel commands.
 
#-----------------------------------------------------------------------------
%files			-f accounts-service.lang
%defattr(-,root,root,-)
%license COPYING
%doc README.md AUTHORS
%{_sysconfdir}/polkit-1/rules.d/40-adm.rules
%{_libexecdir}/accounts-daemon
%{_libdir}/libaccountsservice.so.*
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%{_datadir}/%{name}/user-templates/administrator
%{_datadir}/%{name}/user-templates/standard

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AccountsService-1.0.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#=============================================================================
%prep
%setup -q
tar xvf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D admin_group=adm  				\
	-D elogind=true					\
	-D systemdsystemunitdir=no			\
	build


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
ninja							\
	-C build					\
	test


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/polkit-1/rules.d

cp -a							\
	%{name}-ok_addon/40-adm.rules			\
	%{buildroot}%{_sysconfdir}/polkit-1/rules.d/

%find_lang accounts-service
#-----------------------------------------------------------------------------
%changelog
